"use client";
function n(t) {
  if (typeof t != "object" || t === null)
    return !1;
  let e = t;
  for (; Object.getPrototypeOf(e) !== null; )
    e = Object.getPrototypeOf(e);
  return Object.getPrototypeOf(t) === e || Object.getPrototypeOf(t) === null;
}
function r(t) {
  return n(t) && "type" in t && typeof t.type == "string";
}
export {
  r as isAction,
  n as isPlainObject
};
